Пример #1
0
        public Result Execute(ExternalCommandData commandData, ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            Process process = Process.GetCurrentProcess();

            IntPtr h = process.MainWindowHandle;



            //login objLogin = new login(commandData, ref message, elements);
            //objLogin.ShowDialog();
            //if (properities.islogin)
            //{
            //objLogin.Hide();
            properities.logoutpass = false;
            //FrmProduct objproduct = new FrmProduct(commandData,ref message,elements);
            //objproduct.ShowDialog();
            properities.pass = true;
            Products1 prdobj = new Products1();

            properities.logoutpass      = false;
            properities.tempCommandData = commandData;
            properities.tempElementSet  = elements;
            properities.tempMessage     = message;
            prdobj.Execute(commandData, ref message, elements);

            //CmdPlaceFamilyInstance cmd = new CmdPlaceFamilyInstance();
            //cmd.Execute(commandData, ref message, elements);

            //}

            return(Result.Succeeded);
        }
Пример #2
0
        public Result Execute(ExternalCommandData commandData, ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            Products1 prdobj = new Products1();

            properities.logoutpass = true;
            prdobj.Execute(commandData, ref message, elements);

            //App._app.toggle2();

            return(Result.Succeeded);
        }